<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var a=[10,1,2,3,30,4,5,6,7,8,9];
		var copia=a.slice();
		var par=[];
		
		
		function pares (a1){
			for (var i =0; i<a1.length; i++) {
			if (a1[i]%2==0) {
				par.push(a1[i]);				
				
			}
		};
			return par;
		};

		function maximo(a1){
			var max= -Infinity;//Infinity es una propiedad de JavaScript global  en este caso es el numero negativo mas grande representable(infinito de tipo float).
			for(var c=a1.length;c>=0;c--){
				if(a1[c]>max){
					max=a1[c];
				}
				
			};

		
			return max;
			console.log(max);
		}; 
		
		function minimo(a1){
			var min= Infinity;

			for(var i=a1.length;i>=0;i--)
				if(a1[i]<min){
					min=a1[i];
				}
				return min;
		};
	

		document.write(pares(copia)+" Son pares <br>" );
		document.write(maximo(copia) +" es el numero maximo <br>");
		document.write(minimo(copia) + " es el numero minimo")
		
		



	</script>
</head>
<body>
	
</body>
</html>